# Preparing
- Rename ``backend/db/id2igid.db.example`` to ``backend/db/id2igid.db``

- Rename ``config/config.py.example`` to ``config/config.py``

- Edit ``config/config.py``
```
ACCOUNT_USERNAME = "<Your_Instagram_username>"
ACCOUNT_PASSWORD = "<Your_Instagram_password>"
```

# Deploy
## Docker
```
docker compose up -d
```

## Manual
```
apt-get update
apt-get install -y ffmpeg libpq-dev libmagic1 libmagic-dev
RUN pip3 install ffmpeg_python-0.2.0-py3-none-any.whl
RUN pip3 install -r /app/requirements.txt

python3 ./app.py
```

# Modules
frontend - frontend server

interface - interface between IGAPI and main service(niming)

PictureMaker - IG post template